POST Create Smart Link​
POST
/smart-links
Create a new smart link with a target URL and optional actions (add/remove tags, add/remove lists, auto-login). A unique short slug is generated automatically. Requires FluentCampaign Pro.
Authorizations​
ApplicationPasswords
WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password
Type
API Key (header: Authorization)
Request Body​
application/json
JSON
{
"link": {
"title": "string",
"target_url": "string",
"actions": {
"tags": [
0
],
"lists": [
0
]
},
"detach_actions": {
"tags": [
0
],
"lists": [
0
]
},
"auto_login": "no",
"notes": "string"
}
}
Responses​
Smart link created successfully.
application/json
JSON
{
"link": {
"id": 0,
"title": "string",
"short": "string",
"target_url": "string",
"actions": {
},
"notes": "string",
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"short_url": "string"
},
"message": "string"
}